# $channel

Retrieve the window id of a specified channel

Syntax

    $channel[(<channel name>[,<irc context id>])]

Description

Returns the window id of channel matching the <channel name> and bound to the connection specified by <irc context id>
If no window matches the specified name or connection, and invalid window id is returned (0).
If no <irc context id> is specified , this function looks for the channel in the current connection context (if any).
If no <channel name> is specified, this function returns the current channel window id, if executed in a channel , 0 otherwise.

Examples

See also
$window, $query, $console Window naming conventions

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004